package jrummikub.view;

import jrummikub.util.IEvent;
import jrummikub.util.MockEvent;

/** */
public class MockQuitWarningPanel implements IQuitWarningPanel {
	/** */
	public MockEvent quitEvent = new MockEvent();
	/** */
	public MockEvent cancelEvent = new MockEvent();
	/** */
	public QuitMode quitMode;

	@Override
	public IEvent getQuitEvent() {
		return quitEvent;
	}

	@Override
	public IEvent getCancelEvent() {
		return cancelEvent;
	}

	@Override
	public void setMode(QuitMode mode) {
		quitMode = mode;
	}

	@Override
	public QuitMode getQuitMode() {
		return quitMode;
	}

}
